ch.qos.logback.classic.net

## Class SimpleSocketServer

- java.lang.Object
- - java.lang.Thread
  - - ch.qos.logback.classic.net.SimpleSocketServer

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  SimpleSSLSocketServer

    public class SimpleSocketServer
    extends java.lang.Thread

A simple `SocketNode` based server.

          <b>Usage:</b> java ch.qos.logback.classic.net.SimpleSocketServer port configFile

where port is a port number where the server listens and configFile is an xml configuration file fed to `JoranConfigurator`.

Since:
  0.8.4
Author:
  Ceki Gülcü, Sébastien Pennec

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`SimpleSocketServer(LoggerContext lc, int port)`

### Method Summary

Methods
`void` `close()`
`static void` `configureLC(LoggerContext lc, java.lang.String configFile)`
`protected static void` `doMain(java.lang.Class<? extends SimpleSocketServer> serverClass, java.lang.String[] argv)`
`java.util.concurrent.CountDownLatch` `getLatch()` Used for testing purposes
`protected javax.net.ServerSocketFactory` `getServerSocketFactory()` Gets the platform default `ServerSocketFactory`.
`boolean` `isClosed()`
`static void` `main(java.lang.String[] argv)`
`void` `run()`
`void` `socketNodeClosing(SocketNode sn)`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleSocketServer

    public SimpleSocketServer(LoggerContext lc,
                      int port)

### Method Detail

#### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### doMain

    protected static void doMain(java.lang.Class<? extends SimpleSocketServer> serverClass,
              java.lang.String[] argv)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### getServerSocketFactory

    protected javax.net.ServerSocketFactory getServerSocketFactory()

Gets the platform default `ServerSocketFactory`.

Subclasses may override to provide a custom server socket factory.

#### getLatch

    public java.util.concurrent.CountDownLatch getLatch()

Used for testing purposes

#### isClosed

    public boolean isClosed()

#### close

    public void close()

#### socketNodeClosing

    public void socketNodeClosing(SocketNode sn)

#### configureLC

    public static void configureLC(LoggerContext lc,
                   java.lang.String configFile)
                            throws JoranException

Throws:
  `JoranException`